> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update customer commission overrides



## OpenAPI

````yaml /openapi.json put /v1/customers/{customer_pk}/commission_overrides/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/customers/{customer_pk}/commission_overrides/:
    put:
      tags:
        - Commission Overrides
      summary: Update customer commission overrides
      operationId: v1_customers_commission_overrides_update
      parameters:
        - in: path
          name: customer_pk
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/CommissionOverride'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CommissionOverride'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    CommissionOverride:
      type: object
      properties:
        commission_program_id:
          type: string
          format: uuid
        rules:
          type: array
          items:
            $ref: '#/components/schemas/Rule'
      required:
        - commission_program_id
        - rules
    Rule:
      type: object
      properties:
        commission_rate:
          type: string
          format: decimal
          pattern: ^-?\d{0,1}(?:\.\d{0,4})?$
        level:
          type: integer
          nullable: true
        rep_id:
          type: string
          format: uuid
          writeOnly: true
        rep:
          allOf:
            - $ref: '#/components/schemas/ThinRep'
          readOnly: true
      required:
        - commission_rate
        - level
        - rep
        - rep_id
    ThinRep:
      type: object
      properties:
        id:
          type: string
          format: uuid
        identifier:
          type: string
          minLength: 1
        name:
          type: string
          minLength: 1
      required:
        - id
        - identifier
        - name
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````